package cn.iocoder.yudao.module.system.controller.app.attendance.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class AttendancePunchPageVO {
    @Schema(description = "是否在考勤组 0否 1是")
    private Integer inGroup = 1;
    @Schema(description = "当天是否需要考勤 0否 1是")
    private Integer todayNeedAttendance = 1;
    @Schema(description = "是否允许外勤打卡 0否 1是")
    private Integer fieldworkFlag;
    @Schema(description = "是否在打卡点 0否 1是")
    private Integer checkInPoint;
    @Schema(description = "打卡页面顶部 当天打卡记录 已打卡 0/4")
    private String checkInRecordToday;
    @Schema(description = "打卡类型(0上班卡 1下班卡 2迟到卡 3外勤卡)")
    private String punchType;
    //打卡状态 0正常 1迟到 2缺卡 3外勤 4补卡 5早退
    @Schema(description = "考勤规则/打卡记录 JSON格式 [{name:上班 09:00,punchTime:yyyy-MM-dd HH:mm:ss,status:1},{name:下班 12:00,punchTime:yyyy-MM-dd HH:mm:ss,status:2}]")
    private String punchJson;
}
