package cn.iocoder.yudao.module.system.service.attendance;

import cn.iocoder.yudao.module.system.controller.app.attendance.dto.AttendancePunchPageDTO;
import cn.iocoder.yudao.module.system.controller.app.attendance.vo.AttendancePunchPageVO;

import java.util.Date;

/**
 * 考勤 Service 接口
 *
 * @author 艾楷
 */
public interface AttendanceService {


    AttendancePunchPageVO getPunchPage(AttendancePunchPageDTO attendancePunchPageDTO);

    /**
     * 判断当前传如时间是否是 节假日(节假日分 补班/放假) 补班的话返回false 放假的话返回 true
     * 如果不是节假日的话返回null
     *
     * @param date
     * @return
     */
    Boolean isHoliday(Date date);
}