package cn.iocoder.yudao.module.system.controller.app.attendance.dto;

import cn.iocoder.yudao.module.system.dal.dataobject.attendance.group.AttendanceGroupDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class AttendancePunchPageDTO {

    @Schema(description = "经度")
    private String longitude;

    @Schema(description = "纬度")
    private String latitude;

    /**
     * 当前用户id
     */
    private Long userId;

    /**
     * 考勤组
     */
    private AttendanceGroupDO activationGroup;
}
